Subject: bug#14392: 24.3.50; VHDL mode rebinds DEL and M-DEL

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 May 2013 19:51:18 +0300

> From: Dima Kogan <[email-masked]>
> Date: Sun, 12 May 2013 09:27:01 -0700
> 
>     (define-key vhdl-mode-map [delete]	     'delete-char)
>     (define-key vhdl-mode-map [(meta delete)] 'kill-word))
> 
> These redefine the behaviour of DEL and M-DEL in VHDL mode in a way
> that's not specific to VHDL. The new behavior of M-DEL is different from
> the emacs default, which is to kill backward, not forward.

The above bindings bind 'delete', not DEL, which is a different key.